import request from "@/api/request.js";

// 全政府-获取美国政府部门制裁数据
/**
 * @header token
 *  * @param {String} params.monthNum // 月份数
 */
export function getAllGovernmentList(params) {
  return request({
    method: 'GET',
    url: `/api/rivalryIndex/governmentSanctionsData`,
    params
  })
}


// 全政府-获取美对华制裁措施数量趋势
/**
 * @header token
 * @param {Object} params
 * @param {String} params.field // 领域
 * @param {String} params.monthNum // 月份数
 * @param {String} params.orgId // 机构ID
 * @param {String} params.sanType // 制裁手段
 */
export function getUSChinaSanctionTrend(params) {
  return request({
    method: 'GET',
    url: `/api/rivalryIndex/sanctionsQuantitativeTrend`,
    params
  })
}

// 全政府-美政府部门打压遏制最新动态
/**
 * @header token
 */
export function getUSGovernmentLatestDynamic() {
  return request({
    method: 'GET',
    url: `/api/rivalryIndex/governmentSanctionsDynamics`
  })
}

// 全政府-美政府部门联合制裁排行
/**
 * @header token
 */
export function getUSGovernmentJointSanctionRank() {
  return request({
    method: 'GET',
    url: `/api/rivalryIndex/governmentJointSanctionsRanking`
  })
}


// 全政府-美政府部门对我打压遏制时间线
/**
 * @header token
 * @param {Object} params
 * @param {String} params.currentPage = 1 // 当前页
 * @param {String} params.pageSize = 1000 // 每页数量
 */
export function getUSGovernmentSanctionHistory(params) {
  return request({
    method: 'GET',
    url: `/api/rivalryIndex/getSanctionProcess`,
    params
  })
}


// 全政府-获取部门数据
/**
 * @header token
 */
export function getDepartmentList() {
  return request({
    method: 'GET',
    url: `/api/organization/summaryDepartList`
  })
}